package kuzumeji.action.home.erp;
import kuzumeji.action.home.BaseEntityHome;
import kuzumeji.entity.erp.Partner;
import org.jboss.seam.annotations.Name;
/**
 * PartnerHome
 * @author nilcy
 */
@Name("partnerHome")
public class PartnerHome extends BaseEntityHome<Partner> {
    /** S/N */
    private static final long serialVersionUID = 2534493510062689052L;
    /**
     * getPartnerId
     * @return PartnerId
     */
    public Long getPartnerId() {
        return (Long) getId();
    }
    /**
     * setPartnerId
     * @param aPartnerId PartnerId
     */
    public void setPartnerId(Long aPartnerId) {
        setId(aPartnerId);
    }
    @Override
    protected Partner createInstance() {
        Partner partner = new Partner();
        return partner;
    }
    /**
     * load
     */
    public void load() {
        if (isIdDefined()) {
            wire();
        }
    }
    /**
     * wire
     */
    public void wire() {
        getInstance();
    }
    /**
     * isWired
     * @return isWired
     */
    public boolean isWired() {
        return true;
    }
    /**
     * getDefinedInstance
     * @return DefinedInstance
     */
    public Partner getDefinedInstance() {
        return isIdDefined() ? getInstance() : null;
    }
}
